> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatic.trading/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Prices

> Fetches the target price at a given timestamp for multiple assets in parallel. Useful for dashboards that need prices for several assets at once.



## OpenAPI

````yaml GET /api/v1/targets/timestamp/batch
openapi: 3.1.0
info:
  title: Vatic API
  version: 1.0.0
  description: >-
    Polymarket price targets, Hyperliquid prediction market data, market
    timestamps, fee calculators, and order management for systematic prediction
    market trading.
servers:
  - url: https://api.vatic.trading
    description: Production
security: []
paths:
  /api/v1/targets/timestamp/batch:
    get:
      tags:
        - Price Targets
      summary: Batch prices for multiple assets
      description: >-
        Fetches the target price at a given timestamp for multiple assets in
        parallel. Useful for dashboards that need prices for several assets at
        once.
      operationId: getTargetsTimestampBatch
      parameters:
        - name: assets
          in: query
          required: true
          schema:
            type: string
            example: btc,eth,sol
          description: Comma-separated list of asset symbols.
        - name: type
          in: query
          required: true
          schema:
            type: string
            enum:
              - 5min
              - 15min
              - 1hour
              - 4hour
              - daily
        - name: timestamp
          in: query
          required: true
          schema:
            type: integer
            example: 1744027500
      responses:
        '200':
          description: Prices per asset
          content:
            application/json:
              example:
                now: '2025-04-07T12:00:00.000Z'
                marketType: 5min
                provider: chainlink
                requestedTimestamp: 1744027500
                requestedTimestampIso: '2025-04-07T12:05:00.000Z'
                results:
                  - asset: btc
                    ok: true
                    source: chainlink
                    price: 82450.75
                  - asset: eth
                    ok: true
                    source: chainlink
                    price: 1610.3
        '400':
          description: Validation error

````